import { ResultBase } from '../../models/http/resultBase';
import { User } from '../../models/users/user';
import { UserInput } from '../../models/users/UserInput';
import { HttpCommandBase } from '../abstract/httpCommandBase';
import { HttpMethod } from '../abstract/httpMethod';

export class GetUserCommand extends HttpCommandBase<{}, User, ResultBase> {

    public endpoint: string = '';
    public method: HttpMethod = HttpMethod.Get;

    constructor(private userInput: UserInput) {
        super();
    }

    public buildEndpoint(): string {
        return `/users/${this.userInput.externalId}`;
    }

    public buildRequestContent(): {} {
        return {};
    }
}